// packageI/cps/conponent/cpslist.js
Component({
  /**
	 * 组件的属性列表
	 */
  properties: {
    datas: {
      type: null
    },
    ratio_data: {
      type: null
    },
  },

  /**
	 * 组件的初始数据
	 */
  data: {

  },

  /**
	 * 组件的方法列表
	 */
  methods: {
    toGood(e) {
      let good = e.currentTarget.dataset.item;
      let url = `/packageG/cps/cpsGoodDetail/cpsGoodDetail?item_id=${good.item_id}&platform_id=${good.platform_id}`;
      if (good.activity_id) {
        url = url + '&activity_id=' + good.activity_id;
      }
      wx.navigateTo({
        url: url,
      });
    }
  }
});